## org.eclipse.xsd
Interface XSDMaxInclusiveFacet

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDConstrainingFacet, XSDFacet, XSDFixedFacet, XSDMaxFacet

All Known Implementing Classes:
  XSDMaxInclusiveFacetImpl

    public interface XSDMaxInclusiveFacet

extends XSDMaxFacet

A representation of the model object 'Max Inclusive Facet'.

See Also:
  `XSDPackage.getXSDMaxInclusiveFacet()`

Method Summary

Methods inherited from interface org.eclipse.xsd.XSDMaxFacet
`getValue, isExclusive, isInclusive, setValue`

Methods inherited from interface org.eclipse.xsd.XSDFixedFacet
`isFixed, isSetFixed, setFixed, unsetFixed`

Methods inherited from interface org.eclipse.xsd.XSDConstrainingFacet
`isConstraintSatisfied`

Methods inherited from interface org.eclipse.xsd.XSDFacet
`getAnnotation, getEffectiveValue, getFacetName, getLexicalValue, getSimpleTypeDefinition, setAnnotation, setLexicalValue`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.